Agda-2.3.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None

Agda.Compiler.JS.Pretty

# Documentation

br :: Int -> String

unescape :: Char -> String

unescapes :: String -> String

class Pretty a where

Methods

pretty :: Nat -> Int -> a -> String

Instances

Pretty Module |
Pretty MemberId |
Pretty GlobalId |
Pretty LocalId |
Pretty Exp |
Pretty Patt |
Pretty Case |
(Pretty a, Pretty b) => Pretty (a, b) |

class Pretties a where

Methods

pretties :: Nat -> Int -> a -> [String]

Instances

Pretty a => Pretties [a] |
(Pretty a, Pretty b) => Pretties (Map a b) |

block :: Nat -> Int -> Exp -> String

block' :: Nat -> Int -> Exp -> String

modname :: GlobalId -> String

exports :: Nat -> Int -> Set [MemberId] -> [Export] -> String